
Katello - Feature #37148

Remove entitlement-mode-related host statuses

02/06/2024 05:45 PM - Jeremy Lenz

Status: Closed   

Priority: Normal   

Assignee: Jeremy Lenz   

Category: Hosts   

Target version: Katello 4.12.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/Katello/katello/pull/108

82,

https://github.com/Katello/katello/pull/109

27

  

Description

With SCA-Only the following host statuses are now irrelevant:

Katello::SubscriptionStatus,

Katello::PurposeSlaStatus,

Katello::PurposeRoleStatus,

Katello::PurposeUsageStatus,

Katello::PurposeAddonsStatus,

Katello::PurposeStatus

Associated revisions

Revision 89a802a2 - 02/15/2024 06:53 PM - Jeremy Lenz

Fixes #37148 - Remove subscription-related (#10882)

statuses and widgets

Revision 40a70ce3 - 03/13/2024 06:05 PM - Jeremy Lenz

Refs #37148 - Remove removed_widgets override (#10927)

History

#1 - 02/06/2024 07:17 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Jeremy Lenz

- Pull request https://github.com/Katello/katello/pull/10882 added

#2 - 02/07/2024 06:35 PM - Chris Roberts

- Triaged changed from No to Yes

#3 - 02/07/2024 06:35 PM - Chris Roberts

- Category set to Hosts

#4 - 02/15/2024 07:00 PM - Jeremy Lenz

- Status changed from Ready For Testing to Closed

Applied in changeset katello|89a802a2ebeb2c9278ff0115c057cbb2735b3779.

#5 - 03/11/2024 09:43 PM - The Foreman Bot

- Pull request https://github.com/Katello/katello/pull/10927 added
